IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Android Discussion :

L'erreur "gradle sync failed" me fait tourner en rond depuis 3 jours!


Sujet :

Android

  1. #1
    Futur Membre du Club
    Homme Profil pro
    Enseignant
    Inscrit en
    février 2018
    Messages
    11
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 44
    Localisation : France, Finistère (Bretagne)

    Informations professionnelles :
    Activité : Enseignant

    Informations forums :
    Inscription : février 2018
    Messages : 11
    Points : 6
    Points
    6
    Par défaut L'erreur "gradle sync failed" me fait tourner en rond depuis 3 jours!
    Bonsoir !

    Je suis nouveau sur le forum et même pas encore nouveau dans le monde du développement. J'ai décidé d'apprendre à coder pour faire des applications mobiles. Je n'ai aucune aspiration professionnelles, ce n'est que par curiosité, comme passe-temps.

    J'ai essayé les outils en ligne mais je n'ai rien trouvé de très satisfaisant. On est toujours limité dans les possibilités. J'ai donc téléchargé et installé android studio et commencé à regarder un cours pour débutant sur "open classroom".

    Pour vous dire que ma motivation est grande, j'ai déjà passé plus de 20h et n'ai toujours pas écris ma première ligne de code. C'est pour ça que je dis que je ne suis même pas encore nouveau dans le monde du développement... Je n'arrive même pas à commencer !!!

    Android studio me donne le message d’erreur " gradle sync failed".

    J'ai essayé PLEIN de techniques pour régler le problème mais rien n'a été concluant.

    Je tourne en rond et aimerai vraiment avoir de l'aide avec ce problème.

    S'il vous plait, quelqu'un, aidez moi à régler ce problème ! :-)
    J'ai vraiment envie de m'y mettre enfin... ça fait trois jours que ce problème me prend la tête.

    merci d'avance pour votre aide,

    Eric

  2. #2
    Membre régulier
    Profil pro
    Inscrit en
    avril 2009
    Messages
    167
    Détails du profil
    Informations personnelles :
    Localisation : Cameroun

    Informations forums :
    Inscription : avril 2009
    Messages : 167
    Points : 121
    Points
    121
    Par défaut
    Bonjour,

    quelle version d'android studio utilisez vous?
    pouvez vous partager le contenu du fichier build.gradle?

  3. #3
    Futur Membre du Club
    Homme Profil pro
    Enseignant
    Inscrit en
    février 2018
    Messages
    11
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 44
    Localisation : France, Finistère (Bretagne)

    Informations professionnelles :
    Activité : Enseignant

    Informations forums :
    Inscription : février 2018
    Messages : 11
    Points : 6
    Points
    6
    Par défaut
    Bonjour!

    C'est la version 3.0.1

    est-ce que c'est bien ça?:

    // Top-level build file where you can add configuration options common to all sub-projects/modules.

    buildscript {
    ext.kotlin_version = '1.2.21'
    repositories {
    google()
    jcenter()
    }
    dependencies {
    classpath 'com.android.tools.build:gradle:3.0.1'
    classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"

    // NOTE: Do not place your application dependencies here; they belong
    // in the individual module build.gradle files
    }
    }

    allprojects {
    repositories {
    google()
    jcenter()
    }
    }

    task clean(type: Delete) {
    delete rootProject.buildDir
    }


    J'espère que j'ai bien copié le bon truc...

    Merci de prendre le temps de m'aider!!

  4. #4
    Membre régulier
    Profil pro
    Inscrit en
    avril 2009
    Messages
    167
    Détails du profil
    Informations personnelles :
    Localisation : Cameroun

    Informations forums :
    Inscription : avril 2009
    Messages : 167
    Points : 121
    Points
    121
    Par défaut
    Ok!!
    il y'a un autre fichier build.gradle qui se trouve dans le dossier "app", il devrait commencer par ces lignes:
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    apply plugin: 'com.android.application'
     
    android {
        compileSdkVersion 26
     
        defaultConfig {
            applicationId "com.lekonquer.xxxx.yyyyy"
            minSdkVersion 14
            targetSdkVersion 26
            versionCode 1
            versionName "1.0"
        }.......
    je souhaite que tu envoies aussi ce qu'il contient.

  5. #5
    Futur Membre du Club
    Homme Profil pro
    Enseignant
    Inscrit en
    février 2018
    Messages
    11
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 44
    Localisation : France, Finistère (Bretagne)

    Informations professionnelles :
    Activité : Enseignant

    Informations forums :
    Inscription : février 2018
    Messages : 11
    Points : 6
    Points
    6
    Par défaut
    voila...

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    30
    31
    32
    33
    apply plugin: 'com.android.application'
     
    apply plugin: 'kotlin-android'
     
    apply plugin: 'kotlin-android-extensions'
     
    android {
        compileSdkVersion 26
        defaultConfig {
            applicationId "com.ericp.myapplication"
            minSdkVersion 15
            targetSdkVersion 26
            versionCode 1
            versionName "1.0"
            testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"
        }
        buildTypes {
            release {
                minifyEnabled false
                proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
            }
        }
    }
     
    dependencies {
        implementation fileTree(dir: 'libs', include: ['*.jar'])
        implementation"org.jetbrains.kotlin:kotlin-stdlib-jre7:$kotlin_version"
        implementation 'com.android.support:appcompat-v7:26.1.0'
        implementation 'com.android.support.constraint:constraint-layout:1.0.2'
        implementation 'com.android.support:design:26.1.0'
        testImplementation 'junit:junit:4.12'
        androidTestImplementation 'com.android.support.test:runner:1.0.1'
        androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.1'

  6. #6
    Membre régulier
    Profil pro
    Inscrit en
    avril 2009
    Messages
    167
    Détails du profil
    Informations personnelles :
    Localisation : Cameroun

    Informations forums :
    Inscription : avril 2009
    Messages : 167
    Points : 121
    Points
    121
    Par défaut
    Merci!!
    je ne vois rien d'anormal à ces fichiers.
    Bizarre!! Est ce que dans le message d'erreur il te propose d'installer des packages?
    Peux tu faire une capture d'écran de l'erreur?
    Parce que, là, je n'arrive toujours pas à voir ce qui cause problème.

  7. #7
    Futur Membre du Club
    Homme Profil pro
    Enseignant
    Inscrit en
    février 2018
    Messages
    11
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 44
    Localisation : France, Finistère (Bretagne)

    Informations professionnelles :
    Activité : Enseignant

    Informations forums :
    Inscription : février 2018
    Messages : 11
    Points : 6
    Points
    6
    Par défaut


    .. euh... je...

    IL n'y a plus de problème on dirait. J'ai ouvert un nouveau projet et tout a l'air de fonctionner.

    Alors là!!

    Peut-être que les manip' que j'ai fais on porté fruit suite à des reboot?

    Je suis content mais perplexe!
    Et bien tant mieux!

    JE referai signe si ça recommence.

    J'ai quand même une petite question...
    Pourquoi est-ce que tous (ou presque) les app builder sont en ligne? Quand je me suis décidé à apprendre, je m'attendais à télécharger un programme pour travailler sur mon ordi... Mais tout les plateforme que j'ai trouvé étaient en ligne. Et même android studio semble travailler en ligne.. je me trompe?

    Enfin. c'est loin d'être la seule chose que je ne pige pas, mais ça m'intrigue sérieusement...

    Merci pour l'aide entouka.

  8. #8
    Modérateur
    Avatar de grunk
    Homme Profil pro
    Lead dév - Architecte
    Inscrit en
    août 2003
    Messages
    6 438
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 37
    Localisation : France, Côte d'Or (Bourgogne)

    Informations professionnelles :
    Activité : Lead dév - Architecte
    Secteur : Industrie

    Informations forums :
    Inscription : août 2003
    Messages : 6 438
    Points : 18 783
    Points
    18 783
    Par défaut
    Les app builders sont en ligne pour te garder captif de leur outils. Si toout était sur ton PC tu n'aurais plus besoin d'eux. Ceci étant dit fuit ces outils qui sont au mieux médiocres.

    Android studio travail en local , dans le sens ou c'est bien ton PC qui compile l'application par exemple.
    En revanche il à besoin d'être connecté pour télécharger les différentes dépendances d'un projet (la partie dependencies du fichier gradle).

    Par exemple
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    implementation 'com.android.support:appcompat-v7:26.1.0'
    indique que tu vas vouloir utiliser la librairie de compatibilité de google , android studio va donc résoudre cette dépendance et télécharger les fichiers associé à la librairie.

    Une fois les dépendances résolue 1x tu peux tout à fait travailler complètement hors ligne.
    Pry Framework php5 | N'oubliez pas de consulter les FAQ Java et les cours et tutoriels Java

  9. #9
    Futur Membre du Club
    Homme Profil pro
    Enseignant
    Inscrit en
    février 2018
    Messages
    11
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 44
    Localisation : France, Finistère (Bretagne)

    Informations professionnelles :
    Activité : Enseignant

    Informations forums :
    Inscription : février 2018
    Messages : 11
    Points : 6
    Points
    6
    Par défaut
    OK... c'est bien ce que je me disais. C'est pour pouvoir vendre des abonnements mensuels.

    Merci entouka pour vos réponses et votre aide. Maintenant je m'y mets. Ça a l'air assez vaste comme domaine. Je sens que je devrai être persévérant.

    Merci encore et bonne journée!

+ Répondre à la discussion
Cette discussion est résolue.

Discussions similaires

  1. Réponses: 4
    Dernier message: 28/02/2016, 02h12
  2. [MySQL] Supprimer les erreurs de syntaxe dues aux quotes
    Par gotenks dans le forum PHP & Base de données
    Réponses: 2
    Dernier message: 25/01/2006, 17h10

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo